using System;
namespace System.Model
{
	/// <summary>
	///  订单表
	/// </summary>
	[Serializable]
	public partial class T_Bus_Order
	{
		public T_Bus_Order()
		{ }
		#region Model
		private string _f_id;
		private string _f_trackingno = "";
		private string _f_addressee = "";
		private string _f_addphone = "";
		private string _f_addprovince = "";
		private string _f_addcity = "";
		private string _f_addarea = "";
		private string _f_addtown = "";
		private string _f_adddes = "";
		private string _f_address = "";
		private string _f_postalcode = "";
		private string _f_customer;
		private string _f_customerphone = "";
		private int _f_vipid;
		private decimal _f_score = 0.00M;
		private decimal _f_usescore = 0.00M;
		private int _f_state = 0;
		private int _f_status = 0;
		private DateTime _f_addtime=DateTime.Now;
		private DateTime? _f_submittime;
		private DateTime? _f_checktime;
		private DateTime? _f_stocktime;
		private DateTime? _f_sendtime;
		private DateTime? _f_paytime;
		private DateTime? _f_finishtime;
		private int _f_adduser;
		private string _f_addusername;
		private int _f_belong;
		private string _f_belongname;
		private decimal _f_totleprice;
		private string _f_useactivity = "";
		private string _f_useactivitydes = "";
		private decimal _f_activitymoney;
		private decimal _f_shouldprice;
		private decimal _f_realprice;
		private string _f_paytype = "";
		private string _f_stock = "";
		private string _f_express = "";
		private string _f_remark = "";
		private string _f_adfrom = "";
		private string _f_type = "";
		private int _f_paystate=0;
		private string _f_checkremark = "";
		private string _f_flownum = "";
		private int _f_checkuser = 0;
		private string _f_checkusername = "";
		private int _f_stockuser = 0;
		private string _f_stockusername = "";
		private int _f_senduser = 0;
		private string _f_sendusername = "";
		private decimal _f_expressfee = 10.00M;
		private decimal _f_mrgemoney = 0.00M;
		private string _f_afterSaleId = "";
		private int _f_recommendId = 0;
		private int _f_customertype = 0;
		private string _f_customertel = "";
		private int _f_isexpress = 0;
		private string _f_tag = "";

		private string _f_recommendName = "";


		/// <summary>
		/// 推荐人姓名
		/// </summary>
		public string F_RecommendName
		{
			set { _f_recommendName = value; }
			get { return _f_recommendName; }
		}

		/// <summary>
		/// 订单标签 影响绩效
		/// </summary>
		public string F_Tag
		{
			set { _f_tag = value; }
			get { return _f_tag; }
		}
		/// <summary>
		/// 客服是否分配快递
		/// </summary>
		public int F_IsExpress
		{
			set { _f_isexpress = value; }
			get { return _f_isexpress; }
		}
		/// <summary>
		/// 推荐人Id
		/// </summary>
		public int F_RecommendId
		{
			set { _f_recommendId = value; }
			get { return _f_recommendId; }
		}
		/// <summary>
		/// 审核备注 售后id
		/// </summary>
		public string F_AfterSaleId
		{
			set { _f_afterSaleId = value; }
			get { return _f_afterSaleId; }
		}
		/// <summary>
		/// 合并订单变动金额
		/// </summary>
		public decimal F_MergeMoney
		{
			set { _f_mrgemoney = value; }
			get { return _f_mrgemoney; }
		}
		/// <summary>
		/// 快递费
		/// </summary>
		public decimal F_ExpressFee
		{
			set { _f_expressfee = value; }
			get { return _f_expressfee; }
		}

		/// <summary>
		/// 审核备注
		/// </summary>
		public string F_CheckRemark
		{
			set { _f_checkremark = value; }
			get { return _f_checkremark; }
		}

		/// <summary>
		/// 订单流转号
		/// </summary>
		public string F_FlowNum
		{
			set { _f_flownum = value; }
			get { return _f_flownum; }
		}


		/// <summary>
		/// 订单编号 BJ员工工号+T+时间
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 运单号 发货后输入
		/// </summary>
		public string F_TrackingNo
		{
			set { _f_trackingno = value; }
			get { return _f_trackingno; }
		}
		/// <summary>
		/// 收件人
		/// </summary>
		public string F_Addressee
		{
			set { _f_addressee = value; }
			get { return _f_addressee; }
		}
		/// <summary>
		/// 收件人电话
		/// </summary>
		public string F_AddPhone
		{
			set { _f_addphone = value; }
			get { return _f_addphone; }
		}
		/// <summary>
		/// 收件人省
		/// </summary>
		public string F_AddProvince
		{
			set { _f_addprovince = value; }
			get { return _f_addprovince; }
		}
		/// <summary>
		/// 收件人  市
		/// </summary>
		public string F_AddCity
		{
			set { _f_addcity = value; }
			get { return _f_addcity; }
		}
		/// <summary>
		/// 收件人 区/县
		/// </summary>
		public string F_AddArea
		{
			set { _f_addarea = value; }
			get { return _f_addarea; }
		}
		/// <summary>
		/// 乡镇 街道（看情况启用）
		/// </summary>
		public string F_AddTown
		{
			set { _f_addtown = value; }
			get { return _f_addtown; }
		}
		/// <summary>
		/// 送货说明
		/// </summary>
		public string F_AddDes
		{
			set { _f_adddes = value; }
			get { return _f_adddes; }
		}
		/// <summary>
		/// 收件人详细地址 区 县 下面详细地址
		/// </summary>
		public string F_Address
		{
			set { _f_address = value; }
			get { return _f_address; }
		}
		/// <summary>
		/// 邮政编码
		/// </summary>
		public string F_PostalCode
		{
			set { _f_postalcode = value; }
			get { return _f_postalcode; }
		}
		/// <summary>
		/// 客户姓名
		/// </summary>
		public string F_Customer
		{
			set { _f_customer = value; }
			get { return _f_customer; }
		}

		/// <summary>
		/// 固话
		/// </summary>
		public string F_CustomerTel
		{
			set { _f_customertel = value; }
			get { return _f_customertel; }
		}
		/// <summary>
		/// 客户类型
		/// </summary>
		public int F_CustomerType
		{
			set { _f_customertype = value; }
			get { return _f_customertype; }
		}
		/// <summary>
		/// 客户电话/进线电话
		/// </summary>
		public string F_CustomerPhone
		{
			set { _f_customerphone = value; }
			get { return _f_customerphone; }
		}
		/// <summary>
		/// 关联会员表Id
		/// </summary>
		public int F_VipId
		{
			set { _f_vipid = value; }
			get { return _f_vipid; }
		}
		/// <summary>
		/// 此单积分
		/// </summary>
		public decimal F_Score
		{
			set { _f_score = value; }
			get { return _f_score; }
		}
		/// <summary>
		/// 使用积分
		/// </summary>
		public decimal F_UseScore
		{
			set { _f_usescore = value; }
			get { return _f_usescore; }
		}
		/// <summary>
		///  订单状态 -1无效 0暂存 1提交  2KF退回  3通过 4无货 5已分拣 6已发货
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 物流状态0 未发出 1未签收2签收3改代收4拒收
		/// </summary>
		public int F_Status
		{
			set { _f_status = value; }
			get { return _f_status; }
		}
		/// <summary>
		/// 订单添加时间
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 订单提交审核时间
		/// </summary>
		public DateTime? F_SubmitTime
		{
			set { _f_submittime = value; }
			get { return _f_submittime; }
		}
		/// <summary>
		/// 客服审核时间
		/// </summary>
		public DateTime? F_CheckTime
		{
			set { _f_checktime = value; }
			get { return _f_checktime; }
		}
		/// <summary>
		/// 仓库分拣时间/仓库退回时间
		/// </summary>
		public DateTime? F_StockTime
		{
			set { _f_stocktime = value; }
			get { return _f_stocktime; }
		}
		/// <summary>
		/// 出库发货时间
		/// </summary>
		public DateTime? F_SendTime
		{
			set { _f_sendtime = value; }
			get { return _f_sendtime; }
		}
		/// <summary>
		/// 支付完成时间 不一定时效准确，因为是操作员操作，状态准确
		/// </summary>
		public DateTime? F_PayTime
		{
			set { _f_paytime = value; }
			get { return _f_paytime; }
		}
		/// <summary>
		/// 0待回款1已支付 2待退款3已退款
		/// </summary>
		public int F_PayState
		{
			set { _f_paystate = value; }
			get { return _f_paystate; }
		}
		/// <summary>
		/// 订单完成时间  需有标准，完成之后原则上状态不变
		/// </summary>
		public DateTime? F_FinishTime
		{
			set { _f_finishtime = value; }
			get { return _f_finishtime; }
		}
		/// <summary>
		/// 订单添加人
		/// </summary>
		public int F_AddUser
		{
			set { _f_adduser = value; }
			get { return _f_adduser; }
		}
		/// <summary>
		/// 订单添加人
		/// </summary>
		public string F_AddUserName
		{
			set { _f_addusername = value; }
			get { return _f_addusername; }
		}
		/// <summary>
		/// 订单所属人 算绩效
		/// </summary>
		public int F_Belong
		{
			set { _f_belong = value; }
			get { return _f_belong; }
		}
		/// <summary>
		/// 订单所属人  算绩效
		/// </summary>
		public string F_BelongName
		{
			set { _f_belongname = value; }
			get { return _f_belongname; }
		}
		/// <summary>
		/// 订单总额
		/// </summary>
		public decimal F_TotlePrice
		{
			set { _f_totleprice = value; }
			get { return _f_totleprice; }
		}
		/// <summary>
		/// 使用营销活动
		/// </summary>
		public string F_UseActivity
		{
			set { _f_useactivity = value; }
			get { return _f_useactivity; }
		}
		/// <summary>
		/// 使用活动描述
		/// </summary>
		public string F_UseActivityDes
		{
			set { _f_useactivitydes = value; }
			get { return _f_useactivitydes; }
		}
		/// <summary>
		/// 活动优惠金额    一般指满减
		/// </summary>
		public decimal F_ActivityMoney
		{
			set { _f_activitymoney = value; }
			get { return _f_activitymoney; }
		}
		/// <summary>
		/// 应收金额 交易金额
		/// </summary>
		public decimal F_ShouldPrice
		{
			set { _f_shouldprice = value; }
			get { return _f_shouldprice; }
		}
		/// <summary>
		/// 实收金额
		/// </summary>
		public decimal F_RealPrice
		{
			set { _f_realprice = value; }
			get { return _f_realprice; }
		}
		/// <summary>
		/// 付款方式：货到付款
		/// </summary>
		public string F_PayType
		{
			set { _f_paytype = value; }
			get { return _f_paytype; }
		}
		/// <summary>
		/// 出货仓库
		/// </summary>
		public string F_Stock
		{
			set { _f_stock = value; }
			get { return _f_stock; }
		}
		/// <summary>
		/// 选择快递
		/// </summary>
		public string F_Express
		{
			set { _f_express = value; }
			get { return _f_express; }
		}
		/// <summary>
		/// 备注
		/// </summary>
		public string F_Remark
		{
			set { _f_remark = value; }
			get { return _f_remark; }
		}
		/// <summary>
		/// 广告来源
		/// </summary>
		public string F_ADFrom
		{
			set { _f_adfrom = value; }
			get { return _f_adfrom; }
		}
		/// <summary>
		/// 订单类型  回访订单，热线订单==
		/// </summary>
		public string F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_CheckUser
		{
			set { _f_checkuser = value; }
			get { return _f_checkuser; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CheckUserName
		{
			set { _f_checkusername = value; }
			get { return _f_checkusername; }
		}
		/// <summary>
		/// 分拣退货人ID
		/// </summary>
		public int F_StockUser
		{
			set { _f_stockuser = value; }
			get { return _f_stockuser; }
		}
		/// <summary>
		/// 分拣退货人姓名
		/// </summary>
		public string F_StockUserName
		{
			set { _f_stockusername = value; }
			get { return _f_stockusername; }
		}
		/// <summary>
		/// 发货人ID
		/// </summary>
		public int F_SendUser
		{
			set { _f_senduser = value; }
			get { return _f_senduser; }
		}
		/// <summary>
		/// 发货人姓名
		/// </summary>
		public string F_SendUserName
		{
			set { _f_sendusername = value; }
			get { return _f_sendusername; }
		}
		#endregion Model

	}
}

